%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           bauble
Version:        0.9.5
Release:        2%{?dist}
Summary:        Biodiversity collection manager

Group:          Applications/Databases
License:        GPLv2+
URL:            http://bauble.belizebotanic.org/
Source0:        http://bauble.belizebotanic.org/files/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  pygtk2-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme
Requires:       python-sqlalchemy
Requires:       python-lxml
Requires:       python-simplejson
Requires:       python-sqlite2
Requires:       gdk-pixbuf
Requires:       fop
Requires:       python-mako


%description
Bauble is a software application to help you manage a collection 
of botanical specimens. It is intended to be used by botanic gardens, 
herbaria, arboreta, etc. to manage their collection information. 
It is a open, free, cross-platform alternative to 
BG-Base and similar software.
Features:

 * Bauble is designed to be simple, 
   elegant and intuitive.
 * Bauble can use different database backends 
   and is tested against SQLite and PostgreSQL.
 * Bauble can generate reports through an XSL formatter backend.
 * Bauble is transaction safe.
 * Bauble can export data in CSV or Access to Biological Collection Data (ABCD)
   format. In the future we hope to support other standard formats such as
   DarwinCore, ITF2, BioCASE, TAPIR, etc.
 * Bauble supports tagging. You can tag any arbitrary data stored in a Bauble
   managed database with arbitrary names.

This Version comes with SQLite support. You need to install
 * the package "MySQL-python" for MySQL-support
 * the package "python-psycopg2" for PostgreSQL-support


%prep
%setup -q -n %{name}-%{version}

sed -i 's|from bauble import version|version = "%{version}"|g' \
       setup.py

sed -i 's|locale_path = os.path.join('share', 'locale')|locale_path = os.path.join('%{_localedir}')|g' \
       setup.py

rm -rf bauble/plugins/picasa/

%build
python setup.py build 


%install
rm -rf %{buildroot}

python setup.py install \
       --skip-build \
       --root=%{buildroot} \
       --prefix=%{_prefix}

desktop-file-install \
         --delete-original \
        --dir=%{buildroot}%{_datadir}/applications \
        %{SOURCE1}

chmod +x %{buildroot}%{python_sitelib}/%{name}/utils/desktop.py

%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGES LICENSE README
%{_bindir}/%{name}*
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-%{version}-py*.egg-info/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Oct 18 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.9.5-2
- Remove picasaplugin, because it's queried a non-free application (Google-Picasa)

* Thu Oct 15 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.9.5-1
- Update to 0.9.5

* Mon Sep 14 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.9.4-1
- Update to 0.9.4
- Add missed R: python-mako

* Thu Jul 23 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.9.2-1
- Update to 0.9.2

* Wed Jul 01 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1

* Thu Mar 26 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.8.6-2
- Rename from python-bauble to bauble, because it is not a python module
- Remove srcname definiton because name and srcname are the same after renaming back to the original name
- Remove debug nil definition (don't know why i added it)s
- Correct python_sitelib definition
- Correct License Tag to GPLv2+

* Tue Mar 24 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.8.6-1
- Initial release

